/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#ifndef __NET_DEBUG_H__
#define __NET_DEBUG_H__

#include <iostream>

#include <assert.h>

#ifdef NET_USE_LOG
#define NET_LOG(x) std::cout << __FUNCTION__ << ": " << x << std::endl;
#define NET_LOG_NOARGS(x) std::cout << __FUNCTION__ << ": " << std::endl;
#else
#define NET_LOG(x)
#define NET_LOG_NOARGS(x)
#endif

#define NET_STATE(x) std::cout << __FUNCTION__ << ": " << x << std::endl; 

#define NET_ERR(x) std::cerr << __FUNCTION__ << " [ERROR]: " << x << std::endl; 

#define NET_ASSERT(x)  assert(x);

#endif // __NET_DEBUG_H__
