/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include "net-debug.h"

#include "net-world-model.h"
#include "file-driver.h"

int main(int argc, char** argv)
{
  std::string filename;

  NET_STATE("Running " << argv[0]);

  if (argc <= 1) {
    NET_ERR("Must specify log file to run.");
    return -1;
  }

  filename = argv[1];

  //-- Create the network model
  ns3::NetWorldModel worldModel;

  // Create the log loading file driver
  ns3::FileDriver::LoadLog(worldModel, filename);

  ns3::NetWorldTime lastT = worldModel.GetLastTimestamp();
  ns3::NetWorldTime interval = 0;

  worldModel.Start();
  while (!worldModel.End()) {
    worldModel.ProcessUpTo(interval);
    interval += lastT/10;
  }

  NET_STATE("Last event: " << lastT);

  return 0;

  // end main
}
