/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include "net-debug.h"

#include "net-view-area.h"
#include "net-world-model.h"
#include "file-driver.h"

#include <gtkmm/scrolledwindow.h>
#include <gtkmm/main.h>
#include <gtkmm/window.h>

int main(int argc, char** argv)
{

  NET_STATE("Running " << argv[0]);

  //-- Setup GTK
  Gtk::Main kit(argc, argv);

  //-- Create the window and scrollbars in which to place the viewer

  Gtk::Window win;
  win.set_title("ns-3 Decorator");
  win.set_border_width(0);
  win.set_size_request(410, 410);

  Gtk::ScrolledWindow scrolledWindow;
  scrolledWindow.set_policy(Gtk::POLICY_AUTOMATIC, Gtk::POLICY_ALWAYS);

  //-- Create the 2d network viewer and place it in scrollbars
  ns3::NetViewArea area;
  scrolledWindow.add(area);
  win.add(scrolledWindow);
  win.show_all_children();

  //-- Create the network which the network viewer displays
  ns3::NetWorldModel worldModel;
  area.SetWorldModel(&worldModel);

  // Create the log loading file driver
  ns3::FileDriver fileDriver();

  /*
    Gtk::Button button("Hello World");
    button.signal_clicked().connect(sigc::ptr_fun(&on_button_clicked));


  sigc::slot<bool> my_slot = sigc::bind(sigc::ptr_fun(*this,
                                                      &Protocol::control_servidor),1);
  sigc::connection conn = Glib::signal_timeout().connect(my_slot, 500);
  */

  Gtk::Main::run(win);

  return 0;

  // end main
}
