/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include "link-style.h"

using namespace ns3;

LinkStyle::LinkStyle() :
  m_hasLinewidth(false),
  m_linewidth(1.5),
  m_hasColor(false),
  m_r(0.4),
  m_g(0.4),
  m_b(0.4),
  m_a(1)
{
  // end LinkStyle::LinkStyle
}
LinkStyle::LinkStyle(double lw, double r, double g, double b, double a) :
  m_hasLinewidth(true),
  m_linewidth(lw),
  m_hasColor(true),
  m_r(r),
  m_g(g),
  m_b(b),
  m_a(a)
{
  // end LinkStyle::LinkStyle
}
LinkStyle::LinkStyle(double r, double g, double b, double a) :
  m_hasLinewidth(false),
  m_linewidth(1.5),
  m_hasColor(true),
  m_r(r),
  m_g(g),
  m_b(b),
  m_a(a)
{
  // end LinkStyle::LinkStyle
}
LinkStyle::LinkStyle(double lw) :
  m_hasLinewidth(true),
  m_linewidth(lw),
  m_hasColor(false),
  m_r(0.4),
  m_g(0.4),
  m_b(0.4),
  m_a(1)
{
  // end LinkStyle::LinkStyle
}
LinkStyle::LinkStyle(const LinkStyle &style)
{
  m_hasLinewidth = style.m_hasLinewidth;
  m_linewidth = style.m_linewidth;

  m_hasColor = style.m_hasColor;
  m_r = style.m_r;
  m_g = style.m_g;
  m_b = style.m_b;
  m_a = style.m_a;

  // end LinkStyle::LinkStyle
}
