/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#ifndef __LINK_STYLE_H__
#define __LINK_STYLE_H__

#include <map>

namespace ns3 {

  class LinkStyle {
  public:
    LinkStyle();
    LinkStyle(const LinkStyle &style);
    LinkStyle(double lw, double r, double g, double b, double a);
    LinkStyle(double r, double g, double b, double a);
    LinkStyle(double lw);

    bool m_hasLinewidth;
    double m_linewidth;

    bool m_hasColor;
    double m_r, m_g, m_b, m_a;

    // end class LinkStyle
  };

  typedef std::map<std::string, LinkStyle> LinkStyleMap;

  // end namespace ns3
};

#endif // __LINK_STYLE_H__
