/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#ifndef __NET_VIEW_AREA_H__
#define __NET_VIEW_AREA_H__

#include <gtkmm/drawingarea.h>

#include "net-world-model.h"

#include "animation-model.h"
#include "link-style.h"
#include "node-style.h"

namespace ns3 {

  class NetViewArea : public Gtk::DrawingArea, public AnimationNotifier
    {
    public:
      NetViewArea();
      virtual ~NetViewArea();

      void SetWorldModel(NetWorldModel *worldModel);
      void SetAnimationTime(NetWorldTime time);

      void SetLinkStyleMap(LinkStyleMap styles);
      void SetNodeStyleMap(NodeStyleMap styles);

    protected:
      //Override default signal handler:
      virtual bool on_expose_event(GdkEventExpose* event);

      NetWorldModel *m_worldModel;

      uint32_t m_viewTime;

      LinkStyleMap m_linkStyles;
      NodeStyleMap m_nodeStyles;

      // end NetViewArea
    };

  // end namespace ns3
};

#endif // __NET_VIEW_AREA_H__
