/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include "node-style.h"

using namespace ns3;

NodeStyle::NodeStyle() :
  m_hasLinewidth(false),
  m_linewidth(0.5),
  m_hasLineColor(false),
  m_lr(0),
  m_lg(0),
  m_lb(0),
  m_la(1),
  m_hasColor(false),
  m_r(1),
  m_g(0),
  m_b(0),
  m_a(1),
  m_hasRadius(false),
  m_radius(4.0),
  m_hasShape(false),
  m_shape(NODE_CIRCLE),
  m_hasDouble(false),
  m_double(false)
{
  // end NodeStyle::NodeStyle
}
NodeStyle::NodeStyle(double lw, double r, double g, double b, double a) :
  m_hasLinewidth(true),
  m_linewidth(lw),
  m_hasLineColor(false),
  m_lr(0),
  m_lg(0),
  m_lb(0),
  m_la(1),
  m_hasColor(true),
  m_r(r),
  m_g(g),
  m_b(b),
  m_a(a),
  m_hasRadius(false),
  m_radius(4.0),
  m_hasShape(false),
  m_shape(NODE_CIRCLE),
  m_hasDouble(false),
  m_double(false)
{
  // end NodeStyle::NodeStyle
}
NodeStyle::NodeStyle(double r, double g, double b, double a) :
  m_hasLinewidth(false),
  m_linewidth(0.5),
  m_hasLineColor(false),
  m_lr(0),
  m_lg(0),
  m_lb(0),
  m_la(1),
  m_hasColor(true),
  m_r(r),
  m_g(g),
  m_b(b),
  m_a(a),
  m_hasRadius(false),
  m_radius(4.0),
  m_hasShape(false),
  m_shape(NODE_CIRCLE),
  m_hasDouble(false),
  m_double(false)
{
  // end NodeStyle::NodeStyle
}
NodeStyle::NodeStyle(double lw) :
  m_hasLinewidth(true),
  m_linewidth(lw),
  m_hasLineColor(false),
  m_lr(0),
  m_lg(0),
  m_lb(0),
  m_la(1),
  m_hasColor(false),
  m_r(1),
  m_g(0),
  m_b(0),
  m_a(1),
  m_hasRadius(false),
  m_radius(4.0),
  m_hasShape(false),
  m_shape(NODE_CIRCLE),
  m_hasDouble(false),
  m_double(false)
{
  // end NodeStyle::NodeStyle
}
NodeStyle::NodeStyle(const NodeStyle &style)
{
  m_hasLinewidth = style.m_hasLinewidth;
  m_linewidth = style.m_linewidth;

  m_hasLineColor = style.m_hasLineColor;
  m_lr = style.m_lr;
  m_lg = style.m_lg;
  m_lb = style.m_lb;
  m_la = style.m_la;

  m_hasColor = style.m_hasColor;
  m_r = style.m_r;
  m_g = style.m_g;
  m_b = style.m_b;
  m_a = style.m_a;

  m_hasRadius = style.m_hasRadius;
  m_radius = style.m_radius;

  m_hasShape = style.m_hasShape;
  m_shape = style.m_shape;

  m_hasDouble = style.m_hasDouble;
  m_double = style.m_double;

  // end NodeStyle::NodeStyle
}
