/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#ifndef __NODE_STYLE_H__
#define __NODE_STYLE_H__

#include <map>

namespace ns3 {

  enum NodeShape { NODE_CIRCLE, NODE_SQUARE };

  class NodeStyle {
  public:
    NodeStyle();
    NodeStyle(const NodeStyle &style);
    NodeStyle(double lw, double r, double g, double b, double a);
    NodeStyle(double r, double g, double b, double a);
    NodeStyle(double lw);

    bool m_hasLinewidth;
    double m_linewidth;

    bool m_hasLineColor;
    double m_lr, m_lg, m_lb, m_la;

    bool m_hasColor;
    double m_r, m_g, m_b, m_a;

    bool m_hasRadius;
    double m_radius;

    bool m_hasShape;
    NodeShape m_shape;

    bool m_hasDouble;
    bool m_double;

    // end class NodeStyle
  };

  typedef std::map<std::string, NodeStyle> NodeStyleMap;

  // end namespace ns3
};

#endif // __NODE_STYLE_H__
