/* -*-  Mode: C++; c-file-style: "gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2009 Drexel University
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation;
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Author: Joe Kopena <tjkopena@cs.drexel.edu>
 */

#include <gtkmm.h>

#include "time-slider.h"

using namespace ns3;

TimeSlider::TimeSlider() :
  m_adjustment(0, 0, 0)
{

  set_update_policy(Gtk::UPDATE_DISCONTINUOUS);
  set_digits(1);
  set_value_pos(Gtk::POS_TOP);
  set_adjustment(m_adjustment);

  // end TimeSlider:TimeSlider
}

void
TimeSlider::SetWorldModel(NetWorldModel *model)
{
  m_model = model;
  m_adjustment.set_lower(0);
  m_adjustment.set_upper(m_model->GetLastTimestamp()/1000);
  //  queue_draw();
  // end TimeSlider::SetWorldModel
}

void
TimeSlider::SetAnimationTime(NetWorldTime time)
{
  m_adjustment.set_value(time/1000);
  //  queue_draw();
  // end TimeSlider::SetAnimationTime
}
